Bug 1845492 - File restoration doesn't work as expected when it is not owned by an rpm but available in /usr/etc/
Summary: File restoration doesn't work as expected when it is not owned by an rpm but ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Sinny Kumari
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1845457
Blocks: 1845494
TreeView+ depends on / blocked
 
Reported: 2020-06-09 11:34 UTC by Sinny Kumari
Modified: 2020-07-21 10:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1843974
Environment:
Last Closed: 2020-07-21 10:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1795 None closed Bug 1845492: daemon: fix restoring file logic to avoid unnecessary deletion 2020-08-10 20:18:39 UTC
Red Hat Product Errata RHBA-2020:2913 None None None 2020-07-21 10:31:41 UTC

Comment 5 Michael Nguyen 2020-07-10 19:05:43 UTC
Verified on 4.4.0-0.nightly-2020-07-10-113925



$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-07-10-113925   True        False         122m    Cluster version is 4.4.0-0.nightly-2020-07-10-113925
$ oc get node
NAME                                         STATUS   ROLES    AGE    VERSION
ip-10-0-129-214.us-west-2.compute.internal   Ready    worker   101m   v1.17.1+b8568b3
ip-10-0-136-187.us-west-2.compute.internal   Ready    master   111m   v1.17.1+b8568b3
ip-10-0-167-13.us-west-2.compute.internal    Ready    master   111m   v1.17.1+b8568b3
ip-10-0-179-148.us-west-2.compute.internal   Ready    worker   101m   v1.17.1+b8568b3
ip-10-0-218-79.us-west-2.compute.internal    Ready    master   112m   v1.17.1+b8568b3
ip-10-0-222-123.us-west-2.compute.internal   Ready    worker   101m   v1.17.1+b8568b3
$ oc debug node/ip-10-0-129-214.us-west-2.compute.internal
Starting pod/ip-10-0-129-214us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# ls /etc/iscsi/initiatorname.iscsi 
/etc/iscsi/initiatorname.iscsi
sh-4.4# cat /etc/iscsi/initiatorname.iscsi 
InitiatorName=iqn.1994-05.com.redhat:6ceff1ad2a
sh-4.4# rpm -qf /etc/iscsi/initiatorname.iscsi 
file /etc/iscsi/initiatorname.iscsi is not owned by any package
sh-4.4# exit    
exit
sh-4.2# exit
exit

Removing debug pod ...
$ cat << EOF > iscsi-mc.yaml
> apiVersion: machineconfiguration.openshift.io/v1
> kind: MachineConfig
> metadata:
>   labels:
>     machineconfiguration.openshift.io/role: worker
>   name: 99-iscsi-initiator
> spec:
>   config:
>     ignition:
>       version: 2.2.0
>     storage:
>       files:
>         - contents:
>             source: data:text/plain;charset=utf-8;base64,SW5pdGlhdG9yTmFtZT1pcW4uMTk5NC0wNS5jb20ubnV0YW5peDprOHMtd29ya2VyCg==
>           filesystem: root
>           mode: 420
>           path: /etc/iscsi/initiatorname.iscsi
> EOF
$ oc create -f iscsi-mc.yaml 
machineconfig.machineconfiguration.openshift.io/99-iscsi-initiator created
$ oc get mc
NAME                                                        GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
00-master                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
00-worker                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
01-master-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
01-master-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
01-worker-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
01-worker-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
99-iscsi-initiator                                                                                     2.2.0             9s
99-master-935773d3-4661-426b-87bc-2aab21a726d5-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
99-master-ssh                                                                                          2.2.0             116m
99-worker-0b441796-7cf8-443f-92c1-c8010f64a6c2-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
99-worker-ssh                                                                                          2.2.0             116m
rendered-master-a455e300199b914dd6085709e374616b            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
rendered-worker-773781ae3d6c099d1c0ee9b0dce3aaad            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             115m
rendered-worker-a39bf5e00544c3c9ea41b18078efa767            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             4s
$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-a455e300199b914dd6085709e374616b   True      False      False      3              3                   3                     0                      116m
worker   rendered-worker-773781ae3d6c099d1c0ee9b0dce3aaad   False     True       False      3              0                   0                     0                      116m

$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-a455e300199b914dd6085709e374616b   True      False      False      3              3                   3                     0                      123m
worker   rendered-worker-a39bf5e00544c3c9ea41b18078efa767   True      False      False      3              3                   3                     0                      123m
$ oc debug node/ip-10-0-129-214.us-west-2.compute.internal
Starting pod/ip-10-0-129-214us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# cat /etc/iscsi/initiatorname.iscsi
InitiatorName=iqn.1994-05.com.nutanix:k8s-worker
sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...
$ oc get mc
NAME                                                        GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
00-master                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
00-worker                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-master-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-master-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-worker-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-worker-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-iscsi-initiator                                                                                     2.2.0             8m49s
99-master-935773d3-4661-426b-87bc-2aab21a726d5-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-master-ssh                                                                                          2.2.0             124m
99-worker-0b441796-7cf8-443f-92c1-c8010f64a6c2-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-worker-ssh                                                                                          2.2.0             124m
rendered-master-a455e300199b914dd6085709e374616b            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
rendered-worker-773781ae3d6c099d1c0ee9b0dce3aaad            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
rendered-worker-a39bf5e00544c3c9ea41b18078efa767            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             8m44s
$ oc delete mc/99-iscsi-initiator
machineconfig.machineconfiguration.openshift.io "99-iscsi-initiator" deleted
$ oc get mc
NAME                                                        GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
00-master                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
00-worker                                                   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-master-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-master-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-worker-container-runtime                                 601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
01-worker-kubelet                                           601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-master-935773d3-4661-426b-87bc-2aab21a726d5-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-master-ssh                                                                                          2.2.0             125m
99-worker-0b441796-7cf8-443f-92c1-c8010f64a6c2-registries   601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
99-worker-ssh                                                                                          2.2.0             125m
rendered-master-a455e300199b914dd6085709e374616b            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
rendered-worker-773781ae3d6c099d1c0ee9b0dce3aaad            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             124m
rendered-worker-a39bf5e00544c3c9ea41b18078efa767            601c2285f497bf7c73d84737b9977a0e697cb86a   2.2.0             9m6s
$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-a455e300199b914dd6085709e374616b   True      False      False      3              3                   3                     0                      125m
worker   rendered-worker-a39bf5e00544c3c9ea41b18078efa767   True      False      False      3              3                   3                     0                      125m
$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-a455e300199b914dd6085709e374616b   True      False      False      3              3                   3                     0                      125m
worker   rendered-worker-a39bf5e00544c3c9ea41b18078efa767   False     True       False      3              0                   0                     0                      125m

$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-a455e300199b914dd6085709e374616b   True      False      False      3              3                   3                     0                      140m
worker   rendered-worker-773781ae3d6c099d1c0ee9b0dce3aaad   True      False      False      3              3                   3                     0                      140m
$ oc debug node/ip-10-0-129-214.us-west-2.compute.internal
Starting pod/ip-10-0-129-214us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# cat /etc/iscsi/initiatorname.iscsi
InitiatorName=iqn.1994-05.com.redhat:6ceff1ad2a
sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-07-10-113925   True        False         122m    Cluster version is 4.4.0-0.nightly-2020-07-10-113925

Comment 7 errata-xmlrpc 2020-07-21 10:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.